%define name	xmakemol
%define version 5.15
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Simple XYZ molecule editor and GL viewer
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/xmakemol/%{name}-%{version}.tar.bz2
URL:		http://vegemite.chem.nottingham.ac.uk/~xmakemol/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	X11-devel xpm-devel MesaGLU-devel lesstif-devel mesaglw-devel

%description
XMakemol can be used to view and manipulate atomic and molecular data given in
xyz format.

XMakemol can produce output in PostScript (black and white or colour)and in xpm
format (which can be translated to gif format using xpmtoppm and ppmtogif).

XMakemol can also produce a series of xpm files which can be translated into an
animated gif file using the bundled utility xmake_anim.pl (formerly
gmake_anim.pl).

%prep
%setup -q
perl -p -i -e 's/-O2/$RPM_OPT_FLAGS/g' Makefile

%build
# Disable OpenGL for now, as linking against libmesaglw is broken
# AdamW 2007/07
%configure --without-opengl
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cp xmake_anim.pl.1 %buildroot/%_mandir/man1

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XMakeMol
Comment=Simple molecule editor and viewer
Exec=%{_bindir}/%{name} 
Icon=chemistry_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Motif;Education;Science;Chemistry;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS PROBLEMS ToDo.txt 
%{_bindir}/%name
%{_bindir}/xmake_anim.pl
%{_datadir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Fri Jul 20 2007 Adam Williamson <awilliamson@mandriva.com> 5.15-2mdv2008.0
+ Revision: 54073
- disable OpenGL for now, doesn't link properly
- add missing buildrequires
- rebuild against new lesstif
- don't manually bzip2 manpage, leave it to the macro
- xdg menu

  + Austin Acton <austin@mandriva.org>
    - Import xmakemol



* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 5.15-1mdk
- New release 5.15

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 5.13-2mdk
- new menu

* Sun Aug 8 2004 Austin Acton <austin@mandrake.org> 5.13-1mdk
- new menu

* Thu Aug 03 2004 Franck Villaume <fvill@freesurf.fr> 5.13-1mdk
- 5.13

* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 5.11-1mdk
- 5.11

* Wed Oct 8 2003 Austin Acton <aacton@yorku.ca> 5.09-1mdk
- 5.09

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 5.08-1mdk
- 5.08

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 5.07-2mdk
- buildrequires lesstif-devel

* Tue Apr 15 2003 Austin Acton <aacton@yorku.ca> 5.07-1mdk
- initial package
